var advancedSearchFilterXhr,
    previousPostType,
    autocompleteXhr,
    hideLoader = !1,
    is_mobile = !1,
    ageRestrictionModalShown = !1,
    currentScrollPage = gpaged || 1,
    currentScrollPageLoaded = !0,
    scrollTargetOffset = jQuery(".bs-pagination-wrapper:last").length ? jQuery(".bs-pagination-wrapper:last").offset().top + jQuery(".bs-pagination-wrapper:last").height() : 0;
function capitalizeFirstLetter(e) {
    return e.charAt(0).toUpperCase() + e.slice(1);
}
function getCookie(e) {
    for (var t = e + "=", a = document.cookie.split(";"), o = 0; o < a.length; o++) {
        for (var i = a[o]; " " == i.charAt(0); ) i = i.substring(1, i.length);
        if (0 == i.indexOf(t)) return i.substring(t.length, i.length);
    }
    return null;
}
function setCookie(e, t, a) {
    var o = "";
    if (a) {
        var i = new Date();
        i.setTime(i.getTime() + 24 * a * 60 * 60 * 1e3), (o = "; expires=" + i.toUTCString());
    }
    document.cookie = e + "=" + (t || "") + o + "; path=/;Secure";
}
function eraseCookie(e) {
    document.cookie = e + "=; Max-Age=-99999999;";
}
function showBadlock() {
    $("#badlock").length
        ? $("#badlock").show()
        : ($("body").append('<div id="badlock"><div class="container"><div class="row" style="display:flex"><div><i></i></div><div><strong>' + badlockTitle + "</strong> " + badlockText + "</div></div></div></div>"), $("#badlock").show());
}
(window.onunload = function () {}),
    (function () {
        for (
            var e,
                t = function () {},
                a = [
                    "assert",
                    "clear",
                    "count",
                    "debug",
                    "dir",
                    "dirxml",
                    "error",
                    "exception",
                    "group",
                    "groupCollapsed",
                    "groupEnd",
                    "info",
                    "log",
                    "markTimeline",
                    "profile",
                    "profileEnd",
                    "table",
                    "time",
                    "timeEnd",
                    "timeline",
                    "timelineEnd",
                    "timeStamp",
                    "trace",
                    "warn",
                ],
                o = a.length,
                i = (window.console = window.console || {});
            o--;

        )
            i[(e = a[o])] || (i[e] = t);
    })(),
    (Array.prototype.clean = function (e) {
        for (var t = 0; t < this.length; t++) this[t] == e && (this.splice(t, 1), t--);
        return this;
    });
var pp_alreadyInitialized = !1,
    Publisher_Theme = (function (e) {
        "use strict";
        return {
            init: function () {
                this.setup_responsive_header(), this.back_to_top(), this.setup_post();
            },
            fix_element_query: function () {
                "function" == typeof elementQuery &&
                    elementQuery({
                        ".listing": { "max-width": ["450px", "560px", "900px", "1000px"] },
                        ".listing-modern-grid": { "max-width": ["980px", "780px", "620px", "480px", "370px"] },
                        ".listing-mg-3-item": { "max-width": ["300px", "250px"] },
                        ".bs-slider": { "max-width": ["370px"] },
                        ".bs-shortcode-row": { "max-width": ["450px", "600px", "700px"] },
                    });
            },
            is_rtl: function () {
                return e("body").hasClass("rtl");
            },
            setup_responsive_header: function () {
                e(".responsive-header .menu-container .menu-handler").on("click", function (t) {
                    t.preventDefault();
                    var a = e(this).parent();
                    a.hasClass("close") && e(".responsive-header .search-container").removeClass("open").addClass("close"), a.toggleClass("open").toggleClass("close");
                }),
                    e(".responsive-header .menu-container .menu-box").html(e("#main-navigation").clone().removeClass("main-menu").addClass("resp-menu").prop("id", "resp-navigation")),
                    e(".responsive-header .sub-menu").removeAttr("style"),
                    e(".responsive-header .menu-container .menu-box .mega-menu.mega-grid-posts").remove(),
                    e(".responsive-header .menu-container .resp-menu li > a").each(function () {
                        var t = e(this).parent();
                        if (
                            (!t.hasClass("menu-item-mega-grid-posts") && t.children("ul,.mega-menu").length > 0 && t.append('<span class="children-button"><i class="fa fa-angle-down"></i></span>'),
                            t.hasClass("menu-item-mega-tabbed-grid-posts"))
                        ) {
                            t.find(".tab-content").remove();
                            var a = t.find(".tabs-section").removeClass("tabs-section").addClass("sub-menu").clone();
                            t.find(".mega-menu.tabbed-grid-posts").remove(),
                                a.find("li a").removeAttr("data-target").removeAttr("data-deferred-init").removeAttr("data-toggle").removeAttr("data-deferred-event").removeAttr("class"),
                                t.append(a);
                        }
                    }),
                    e(".responsive-header .menu-container .resp-menu .children-button").click(function () {
                        return (
                            e(this).closest("li").toggleClass("open-sub"),
                            e(this).find(".fa-angle-down").length ? e(this).find(".fa-angle-down").removeClass("fa-angle-down").addClass("fa-angle-up") : e(this).find(".fa-angle-up").removeClass("fa-angle-up").addClass("fa-angle-down"),
                            !1
                        );
                    });
            },
            setup_menu: function () {
                var t, a;
                e("ul.menu.bsm-pure").addClass("bsm-initialized").removeClass("bsm-pure"),
                    e(".menu.bsm-initialized li.menu-item-has-children").each(function () {
                        var t = e(this);
                        t.is(":hover") ? t.addClass("bsm-enter") : t.addClass("bsm-leave");
                    }),
                    e(document)
                        .on("mouseenter", "li.menu-item-has-children", function () {
                            var a = e(this),
                                o = a;
                            a.removeClass("bsm-leave"),
                                (t = function () {
                                    o.closest(".menu-item-has-children").addClass("bsm-enter");
                                }),
                                setTimeout(function () {
                                    t();
                                }, 1);
                        })
                        .on("mouseleave", "li.menu-item-has-children", function () {
                            var t = e(this),
                                o = t;
                            t.removeClass("bsm-enter"),
                                (a = function () {
                                    o.addClass("bsm-leave");
                                }),
                                setTimeout(function () {
                                    a();
                                }, 200);
                        });
            },
            fire_resize: function () {
                if (document.createEvent) {
                    var e = document.createEvent("Event");
                    e.initEvent("resize", !0, !0), window.dispatchEvent(e);
                } else {
                    var t = document.documentElement,
                        a = document.createEventObject();
                    t.fireEvent("onresize", a);
                }
            },
            small_style_fixes: function () {
                e('[data-toggle="tab"]').on("shown.bs.tab", function (e) {
                    Publisher_Theme.fire_resize();
                }),
                    e(".panel-collapse").on("shown.bs.collapse", function (e) {
                        Publisher_Theme.fire_resize();
                    }),
                    e(".panel-collapse").on("hide.bs.collapse", function (t) {
                        e(t.target).closest(".panel").removeClass("open");
                    }),
                    e('.bs-listing a[data-toggle="tab"]').on("show.bs.tab", function (t) {
                        var a = e(e(this).attr("href"));
                        a.hasClass("active") || (e(this).closest(".bs-listing").find(".tab-pane").removeClass("bs-tab-animated"), a.addClass("bs-tab-animated"));
                    }),
                    e(".tabbed-grid-posts .tabs-section > li > a")
                        .click(function () {
                            "#" != e(this).attr("href") && (window.location = e(this).attr("href"));
                        })
                        .hover(function () {
                            e(this).tab("show");
                        });
            },
            back_to_top: function () {
                var t = e(".back-top");
                0 != t.length &&
                    (t.click(function () {
                        e("body,html").animate({ scrollTop: 0 }, 700);
                    }),
                    e(window).scroll(function () {
                        switch ((e(this).scrollTop() > 300 ? t.addClass("is-visible") : t.removeClass("is-visible fade-out1 fade-out2 fade-out3 fade-out4"), !0)) {
                            case e(this).scrollTop() > 2400:
                                t.addClass("fade-out4");
                                break;
                            case e(this).scrollTop() > 1700:
                                t.removeClass("fade-out3").addClass("fade-out3");
                                break;
                            case e(this).scrollTop() > 1e3:
                                t.removeClass("fade-out4 fade-out3").addClass("fade-out2");
                                break;
                            case e(this).scrollTop() > 500:
                                t.removeClass("fade-out4 fade-out3 fade-out2").addClass("fade-out1");
                        }
                    }));
            },
            setup_post: function () {
                this.small_style_fixes(), this.setup_menu(), this.fix_element_query();
            },
        };
    })(jQuery);
!(function (e) {
    function t(t) {
        e.getJSON(siteUrl + "api/getAllowedGames/", { id: t, ver: gz_version }, function (t) {
            var a = t.content;
            e("#not-available-alert .modal-body div.inner").html(""),
                e("#not-available-alert .modal-header span.country").length
                    ? e("#not-available-alert .modal-header span.country").html(t.my_country)
                    : e("#not-available-alert .modal-header").html(
                          e("#not-available-alert .modal-header")
                              .html()
                              .replace("COUNTRY$", '<span class="country">' + t.my_country + "</span>")
                      ),
                e("#not-available-alert .modal-body span.game").length
                    ? e("#not-available-alert .modal-body span.game").html(t.afflink_text)
                    : e("#not-available-alert .modal-body").html(
                          e("#not-available-alert .modal-body")
                              .html()
                              .replace("GAME$", '<span class="game">' + t.afflink_text + "</span>")
                      ),
                e("#not-available-alert .modal-body div.inner").html(a),
                e("#not-available-alert .modal-body .continue-anyway a").attr("href", t.afflink),
                e("#not-available-alert").modal("show");
        });
    }
    var a;
    e(document).on("mousemove touchmove", function (t) {
        void 0 !== a && window.clearTimeout(a),
            (a = window.setTimeout(function () {
                e(t.target).trigger("mousemoveend");
            }, 100));
    }),
        (e.fn.mousemoveend = function (e) {
            return this.on("mousemoveend", e);
        }),
        e(document).ready(function () {
            e("#wrapfabtest").height() > 0 || showBadlock(),
                e(window).on("onload", function (t) {
                    e("#progress-bar").hide();
                }),
                "none" == e("#mdet").css("display") && (is_mobile = !0),
                (/(android|bb\d+|meego).+mobile|avantgo|bada\/|blackberry|blazer|compal|elaine|fennec|hiptop|iemobile|ip(hone|od)|ipad|iris|kindle|Android|Silk|lge |maemo|midp|mmp|netfront|opera m(ob|in)i|palm( os)?|phone|p(ixi|re)\/|plucker|pocket|psp|series(4|6)0|symbian|treo|up\.(browser|link)|vodafone|wap|windows (ce|phone)|xda|xiino/i.test(
                    navigator.userAgent
                ) ||
                    /1207|6310|6590|3gso|4thp|50[1-6]i|770s|802s|a wa|abac|ac(er|oo|s\-)|ai(ko|rn)|al(av|ca|co)|amoi|an(ex|ny|yw)|aptu|ar(ch|go)|as(te|us)|attw|au(di|\-m|r |s )|avan|be(ck|ll|nq)|bi(lb|rd)|bl(ac|az)|br(e|v)w|bumb|bw\-(n|u)|c55\/|capi|ccwa|cdm\-|cell|chtm|cldc|cmd\-|co(mp|nd)|craw|da(it|ll|ng)|dbte|dc\-s|devi|dica|dmob|do(c|p)o|ds(12|\-d)|el(49|ai)|em(l2|ul)|er(ic|k0)|esl8|ez([4-7]0|os|wa|ze)|fetc|fly(\-|_)|g1 u|g560|gene|gf\-5|g\-mo|go(\.w|od)|gr(ad|un)|haie|hcit|hd\-(m|p|t)|hei\-|hi(pt|ta)|hp( i|ip)|hs\-c|ht(c(\-| |_|a|g|p|s|t)|tp)|hu(aw|tc)|i\-(20|go|ma)|i230|iac( |\-|\/)|ibro|idea|ig01|ikom|im1k|inno|ipaq|iris|ja(t|v)a|jbro|jemu|jigs|kddi|keji|kgt( |\/)|klon|kpt |kwc\-|kyo(c|k)|le(no|xi)|lg( g|\/(k|l|u)|50|54|\-[a-w])|libw|lynx|m1\-w|m3ga|m50\/|ma(te|ui|xo)|mc(01|21|ca)|m\-cr|me(rc|ri)|mi(o8|oa|ts)|mmef|mo(01|02|bi|de|do|t(\-| |o|v)|zz)|mt(50|p1|v )|mwbp|mywa|n10[0-2]|n20[2-3]|n30(0|2)|n50(0|2|5)|n7(0(0|1)|10)|ne((c|m)\-|on|tf|wf|wg|wt)|nok(6|i)|nzph|o2im|op(ti|wv)|oran|owg1|p800|pan(a|d|t)|pdxg|pg(13|\-([1-8]|c))|phil|pire|pl(ay|uc)|pn\-2|po(ck|rt|se)|prox|psio|pt\-g|qa\-a|qc(07|12|21|32|60|\-[2-7]|i\-)|qtek|r380|r600|raks|rim9|ro(ve|zo)|s55\/|sa(ge|ma|mm|ms|ny|va)|sc(01|h\-|oo|p\-)|sdk\/|se(c(\-|0|1)|47|mc|nd|ri)|sgh\-|shar|sie(\-|m)|sk\-0|sl(45|id)|sm(al|ar|b3|it|t5)|so(ft|ny)|sp(01|h\-|v\-|v )|sy(01|mb)|t2(18|50)|t6(00|10|18)|ta(gt|lk)|tcl\-|tdg\-|tel(i|m)|tim\-|t\-mo|to(pl|sh)|ts(70|m\-|m3|m5)|tx\-9|up(\.b|g1|si)|utst|v400|v750|veri|vi(rg|te)|vk(40|5[0-3]|\-v)|vm40|voda|vulc|vx(52|53|60|61|70|80|81|83|85|98)|w3c(\-| )|webc|whit|wi(g |nc|nw)|wmlb|wonu|x700|yas\-|your|zeto|zte\-/i.test(
                        navigator.userAgent.substr(0, 4)
                    )) &&
                    (is_mobile = !0);
            var a = !1,
                o = getCookie("session"),
                i = getCookie("country_change");
            if ((setCookie("country_change", "0"), "started" !== o && "/" == window.location.pathname)) {
                setCookie("session", "started");
                var n = getCookie("geo_code"),
                    s = getCookie("geo_slug");
                n && s && (window.location = "/" + s + "/gambling/gambling-sites/"),
                    e(document).on("mousemove mousedown keydown scroll touchstart", function (t) {
                        var o = getCookie("geo_code"),
                            i = getCookie("geo_slug");
                        a ||
                            (o && i) ||
                            ((a = !0),
                            e.getJSON(siteUrl + "api/getIpCountry/", function (e) {
                                setCookie("geo_slug", e.slug, 30), setCookie("geo_code", e.code, 30), (window.location = "/" + e.slug + "/gambling/gambling-sites/");
                            }));
                    }),
                    e("#country-alert-main button.yes").on("click", function () {
                        e.getJSON(siteUrl + "api/getIpCountry/", function (e) {
                            setCookie("geo_slug", e.slug, 30), setCookie("geo_code", e.code, 30), (window.location = "/" + e.slug + "/gambling/gambling-sites/");
                        });
                    }),
                    e("#country-alert-main button.no").on("click", function () {
                        e("#country-alert-main").modal("hide");
                    });
            }
            i &&
                1 == i &&
                "" != e("#country-alert .modal-body a").text() &&
                (setCookie("country_bar_shown", "1"),
                a || ((a = !0), r()),
                e("#country-alert button.yes").on("click", function () {
                    e("#country-alert").modal("hide");
                }),
                e("#country-alert button.no").on("click", function () {
                    window.location = "/gambling-by-country-selector";
                })),
                e(".top_casinos_sidebar").on("click", "a.excluded", function (a) {
                    a.preventDefault();
                    var o = e(this).data("id");
                    0 == e("#not-available-alert").length
                        ? e.getJSON(siteUrl + "api/getAllowedGamesModal/", { ver: gz_version }, function (a) {
                              e("body").append(a.content), t(o);
                          })
                        : t(o);
                }),
                e("#main .bs-listing").on("click", ".visit.excluded", function (a) {
                    a.preventDefault();
                    var o = e(this).closest("article").data("id");
                    0 == e("#not-available-alert").length
                        ? e.getJSON(siteUrl + "api/getAllowedGamesModal/", { ver: gz_version }, function (a) {
                              e("body").append(a.content), t(o);
                          })
                        : t(o);
                });
        }),
        e("#country_selector_big a.country_selector_continent").click(function (t) {
            t.preventDefault(),
                e("#country_selector_big a.country_selector_continent.selected").removeClass("selected"),
                e(this).addClass("selected"),
                e("#country_selector_big .country_selector_countries_by_continent:visible").hide("slow"),
                e("#country_selector_big .country_selector_countries_" + e(this).data("continent")).show("slow");
        });
    var o = [
        "gamblingnews",
        "lottonews",
        "bingonews",
        "casinonews",
        "dfsnews",
        "sportsbooknews",
        "gamblingpromotions",
        "lottopromotions",
        "bingopromotions",
        "casinopromotions",
        "dfspromotions",
        "sportsbookpromotions",
        "gamblingpromotions-archive",
        "lottopromotions-archive",
        "bingopromotions-archive",
        "casinopromotions-archive",
        "dfspromotions-archive",
        "sportsbookpromotions-archive",
        "gamblingreviews",
        "lottoreviews",
        "bingoreviews",
        "casinoreviews",
        "dfsreviews",
        "sportsbookreviews",
        "gamblingbonuses",
        "lottobonuses",
        "bingobonuses",
        "casinobonuses",
        "dfsbonuses",
        "sportsbookbonuses",
        "gamblinglaws",
        "lottolaws",
        "bingolaws",
        "casinolaws",
        "dfslaws",
        "sportsbooklaws",
        "promotions",
        "reviews",
        "bonuses",
        "laws",
        "news",
    ];
    function i(e) {
        return -1 !== e.search("laws")
            ? "laws"
            : -1 !== e.search("news")
            ? "news"
            : -1 !== e.search("bonuses")
            ? "bonuses"
            : -1 !== e.search("promotions-archive")
            ? "promotions-archive"
            : -1 !== e.search("promotions")
            ? "promotions"
            : "reviews";
    }
    function n(t, a, o) {
        if (void 0 === t || void 0 === a || void 0 === o) return !1;
        if (0 == e("#compareCart .item[data-id='" + t + "']").length) {
            var i = !1;
            0 == e("#compareCart").length && (e("body").append('<div id="compareCart"><div class="clearfix"></div><div class="remove-container"><span><span>REMOVE ALL</span></span></div></div>'), (i = !0)),
                e("#compareCart .item").length < 4 &&
                    (e("#compareCart .clearfix").append(
                        '<div class="item" data-id="' +
                            t +
                            '"> <div class="top"><span class="close">âœ•</span></div> <div class="img-wrapper" style="height: 112px; width: 112px;"><img class="img visible" alt="" src="' +
                            a +
                            '"></div> <div class="desc" title="' +
                            o +
                            '">' +
                            o +
                            "</div> </div>"
                    ),
                    e("#closeCompareCart .num .current").text(e("#compareCart .item").length)),
                e("#compareCart, #closeCompareCart").show(),
                e("#wpfront-scroll-top-container").css("bottom", "5rem"),
                i && e("#closeCompareCart").trigger("mouseleave");
        }
    }
    function s(t) {
        if (void 0 === t) return !1;
        e("#compareCart").length &&
            0 != e("#compareCart").find(".item[data-id='" + t + "']").length &&
            e("#compareCart")
                .find(".item[data-id='" + t + "']")
                .remove(),
            e("input[value='" + t + "'][name='compare']:checked").prop("checked", !1),
            e("#closeCompareCart .num .current").text(e("#compareCart .item").length),
            0 == e("#compareCart .item").length && (e("#compareCart, #closeCompareCart").hide(), e("#wpfront-scroll-top-container").css("bottom", "1rem"));
    }
    function r() {
        "0" !== getCookie("country_bar_shown") && e("#country-bar").show();
    }
    function c() {
        var t = {};
        e("#ajax-filter-form input:checkbox:checked").each(function () {
            var a = e(this)
                    .attr("name")
                    .replace(/ *\[[^]]*\] */g, ""),
                o = e(this)
                    .closest("label")
                    .find("span")
                    .text()
                    .replace(/ *\([^)]*\) */g, "");
            t[a + "|" + e(this).val()] = o;
        }),
            e(".filters-applied ul").empty(),
            e.each(t, function (t, a) {
                "BTC" != a && e(".filters-applied ul").append('<li data-value="' + t + '"><i class="fa fa-times-circle"></i> ' + a + "</li>");
            }),
            Object.keys(t).length ? e(".filters-applied").show() : e(".filters-applied").hide();
    }
    function l(t, a, o, i) {
        if (!i && advancedSearchFilterXhr && 4 != advancedSearchFilterXhr.readyState) advancedSearchFilterXhr.abort();
        else if (i && advancedSearchFilterXhr && 4 != advancedSearchFilterXhr.readyState) return !1;
        if (void 0 === i) i = !1;
        else if (!1 !== i || !0 !== i) i = !0;
        if (
            (i ? ((currentScrollPage = a), (hideLoader = !0), e("#pageload").show()) : (hideLoader = !1),
            e(".page-title.tab.tab1").length && e(".page-title.tab.tab1").is(":not(.active)") && e(".page-title.tab.tab1").trigger("click"),
            i || e(".pagination-animate").addClass("loading"),
            void 0 === a && (a = 1),
            e("#ajax-filter-form input[name='paged']").val(a),
            void 0 === t)
        )
            t = window.location.href;
        (t = (t = (t = (t = (t = (t = (t = t.replace(/\/$/, "")).replace("https://dev.gamingzion.com", "")).replace("https://dev.gamingzion.com", "")).replace("https://test.gamingzion.com", "")).replace(
            "https://test.gamingzion.com",
            ""
        )).replace("https://www.gamingzion.com", "")).replace("https://www.gamingzion.com", "")),
            (index = t.indexOf("#")),
            index > 0 && (t = t.substring(0, index));
        var n = (t = t.replace(/\/page\/\d+/gi, ""));
        t == siteRootPath && (t = siteRootPath + "gambling/gambling-reviews/");
        var s = e("#stubgame_type_0").val();
        s && (p("div.custom-select.stubgame_type", s[0]), e("#country_gametype").val(s[0])), e(".tooltip").remove();
        var r = e("#advanced-search-topmost #country_0").val();
        void 0 === r && (r = "");
        var c = (n = n.replace(siteRootPath, "/")).split("/");
        if (
            ("" == c[c.length - 1] && c.pop(),
            (n =
                5 == c.length
                    ? "" == r || "/" != siteRootPath
                        ? "/" + c[2] + "/" + c[3] + "/"
                        : "/" + r + "/" + c[2] + "/" + c[3] + "/"
                    : 4 == c.length
                    ? "" == r || "/" != siteRootPath
                        ? "/" + c[1] + "/" + c[2] + "/"
                        : "/" + r + "/" + c[2] + "/" + c[3] + "/"
                    : 3 == c.length
                    ? "" == r || "/" != siteRootPath
                        ? "/" + c[1] + "/" + c[2] + "/"
                        : "/" + r + "/" + c[1] + "/" + c[2] + "/"
                    : 2 == c.length
                    ? "" == r || "/" != siteRootPath
                        ? "/"
                        : "/" + r + "/"
                    : 1 == c.length
                    ? "" == r || "/" != siteRootPath
                        ? "/"
                        : "/" + r + "/"
                    : 0 == c.length
                    ? "" == r || "/" != siteRootPath
                        ? "/"
                        : "/" + r + "/"
                    : "" == r || "/" != siteRootPath
                    ? "/" + c[1] + "/"
                    : "/" + r + "/" + c[2] + "/") ==
                siteRootPath + "/" && (n = siteRootPath),
            (n = siteRootPath + n.substr(1)),
            (t = siteRootPath + "filter/"),
            "ASC" !== e("#ajax-filter-form").find("input[name='order']").val() &&
                "rating" == e("#ajax-filter-form").find("select.sort-by").val() &&
                "" == e("#ajax-filter-form").find("input[name='filter']").val() &&
                0 == e("#ajax-filter-form input:checkbox:checked").length)
        )
            var l = !0;
        else l = !1;
        if (void 0 === o) var d = e("#ajax-filter-form").serialize();
        else d = o;
        -1 === d.indexOf("&pagination-base=") && (d = d + "&pagination-base=" + encodeURI(e("footer#site-footer").data("pagination-base"))),
            e.ajaxSetup({ type: "POST", headers: { "cache-control": "no-cache" } }),
            (t = t.replace(/\/$/, "") + "/"),
            (advancedSearchFilterXhr = e
                .post(t, d, function (t) {
                    var a = e(e.parseHTML(t)).find(".col-xs-12.col-sm-6.col-md-4").html(),
                        o = e(e.parseHTML(t)).find("#ajax-filter-form .whatlike-w1").html(),
                        s = e(e.parseHTML(t)).find("#more-directory").html(),
                        r = e(e.parseHTML(t)).find("#more-information").html(),
                        c = document.title,
                        p = e(e.parseHTML(t)).find("#country-bar").html();
                    if (e(".bestListing h2").length > 0) {
                        var m = e(e.parseHTML(t)).find(".bestListing h2").html();
                        e(".bestListing h2").html(m);
                    }
                    if (e("#current-news-cat").length > 0) {
                        var h = e("#ajax-filter-form input[name='category']").val();
                        e("#current-news-cat").html(e(".news-categories [data-category='" + h + "']").text()),
                            e(".news-categories li.active").removeClass("active"),
                            e(".news-categories [data-category='" + h + "']")
                                .closest("li")
                                .addClass("active");
                    }
                    if ((e("#more-directory").html(s), e("#more-information").html(r), e("#country-bar").html(p), e("#content .col-xs-12.col-sm-6.col-md-4").html(a), e("#ajax-filter-form .whatlike-w1").html(o), i))
                        if (e(e.parseHTML(t)).find(".nomore").length)
                            e("#nomore").addClass("show"),
                                setTimeout(function () {
                                    e("#nomore").addClass("end");
                                }, 2e3);
                        else {
                            u = e(e.parseHTML(t)).find("#main .bs-listing .bs-pagination-wrapper .listing").html();
                            e("#main .bs-pagination-wrapper .listing").append(u),
                                e(e.parseHTML(t)).find("#main .bs-listing .bs-pagination-wrapper .listing article").length < 10 &&
                                    (e("#nomore").addClass("show"),
                                    setTimeout(function () {
                                        e("#nomore").addClass("end");
                                    }, 2e3));
                        }
                    else {
                        currentScrollPage = gpaged;
                        var u = e(e.parseHTML(t)).find("#main .bs-listing").html();
                        e("#main .bs-listing").html(u),
                            e(".bs-pagination-wrapper").append('<div id="pageload" title="' + loadingMore + '"><div class="lds-ellipsis"><div></div><div></div><div></div><div></div></div></div><div id="nomore">' + loadingNoMore + "</div>"),
                            (document.title = c),
                            l
                                ? (n != siteRootPath && n != siteRootPath + "gambling/gambling-sites/") || 1 != e("#ajax-filter-form input[name='paged']").val()
                                    ? window.history.pushState(
                                          { html: u, gameType: e("#advanced-search-top input[name='gametype']").val(), pageTitle: c },
                                          "",
                                          (n == siteRootPath && e("#ajax-filter-form input[name='paged']").val() > 1 ? siteRootPath + "gambling/gambling-sites/" : n) +
                                              (e("#ajax-filter-form input[name='paged']").val() > 1 ? "page/" + e("#ajax-filter-form input[name='paged']").val() + "/" : "")
                                      )
                                    : window.history.pushState({ html: u, gameType: e("#advanced-search-top input[name='gametype']").val(), pageTitle: c }, "", siteRootPath)
                                : window.history.pushState({ html: u, gameType: e("#advanced-search-top input[name='gametype']").val(), pageTitle: c }, "", n + "#!filter|" + d);
                    }
                })
                .done(function () {
                    (hideLoader = !1), i && e("#pageload").hide(), e(".tooltip.fade.in").remove(), e(".pagination-animate").removeClass("loading"), e('[data-toggle="tooltip"]').tooltip(), u();
                }));
    }
    function d(t) {
        e("#gzModal").modal("hide"),
            e("#gzModal .modal-body").html(""),
            e("#advanced-search-bottom .filter-set").removeClass("active"),
            t.data("api")
                ? e.getJSON(siteUrl + "api/getFilterForm/", { form_name: t.data("api"), game_type: t.data("gt") }, function (a) {
                      console.log(t.closest(".filter-set").find("ul.more input").length),
                          0 == t.closest(".filter-set").find("ul.more input").length
                              ? (t.closest(".filter-set").append(a.html),
                                e(a.html)
                                    .find("ul.more input")
                                    .each(function () {
                                        var t = e(this);
                                        e("#gzModal .modal-body input")
                                            .filter(function () {
                                                return this.value == t.val();
                                            })
                                            .prop("checked", t.is(":checked"));
                                    }))
                              : t
                                    .closest(".filter-set")
                                    .find("ul.main input, ul.more input")
                                    .each(function () {
                                        var t = e(this);
                                        e("#gzModal .modal-body input")
                                            .filter(function () {
                                                return this.value == t.val();
                                            })
                                            .prop("checked", t.is(":checked"));
                                    }),
                          e("#gzModalLabel").text(t.closest(".filter-set").find("h4.filter-title").text()),
                          e("#gzModal .modal-body").html(t.closest(".filter-set").find("ul.more").html()),
                          t.closest(".filter-set").addClass("active"),
                          e("#gzModal").modal("show");
                  })
                : t
                      .closest(".filter-set")
                      .find("ul.main input, ul.more input")
                      .each(function () {
                          var a = e(this);
                          e("#gzModal .modal-body input")
                              .filter(function () {
                                  return this.value == a.val();
                              })
                              .prop("checked", a.is(":checked")),
                              e("#gzModalLabel").text(t.closest(".filter-set").find("h4.filter-title").text()),
                              e("#gzModal .modal-body").html(t.closest(".filter-set").find("ul.more").html()),
                              t.closest(".filter-set").addClass("active"),
                              e("#gzModal").modal("show");
                      });
    }
    function p(t, a) {
        var o = e(t).find(".custom-option[data-value='" + a + "']");
        o.parents(".custom-select-wrapper").find("select").val(o.data("value")),
            o.parents(".custom-options").find(".custom-option").removeClass("selection"),
            o.addClass("selection"),
            o.parents(".custom-select").removeClass("opened"),
            o.parents(".custom-select").find(".custom-select-trigger").text(o.text());
    }
    e(".promotion-type-selector-form select").change(function () {
        var t = new RegExp("/page/[0-9]+", "g"),
            a = window.location.pathname,
            o = t.exec(a);
        null !== o && (a = a.replace(o, "")), (a = a.split("/")), e(this).val() ? (window.location = "/bonus/" + e(this).val() + "/") : (window.location = "/bonuses/");
    }),
        e(".country-selector-form select").change(function () {
            var t = new RegExp("/page/[0-9]+", "g"),
                a = window.location.pathname,
                n = t.exec(a);
            if ((null !== n && (a = a.replace(n, "")), (a = a.split("/")), e(".game-type-selector-form input").length)) var s = e(".game-type-selector-form input").val();
            else s = e(".game-type-selector-form select").val();
            "" == s && (s = "gambling");
            e(this).val();
            void 0 === a[2] || "" == a[2] || (-1 == o.indexOf(a[2]) && -1 == o.indexOf(a[2]))
                ? void 0 !== s && "" != s && -1 != o.indexOf(a[1])
                    ? "" == e(this).val() && "gambling" == s
                        ? (window.location = "/" + s + i(a[1]))
                        : (window.location = "/" + e(this).val() + "/" + s + i(a[1]) + "/")
                    : -1 != o.indexOf(a[1])
                    ? (window.location = "/" + s + i(a[1]))
                    : void 0 !== s && "" != s && "" != e(this).val()
                    ? (window.location = "/" + e(this).val() + "/" + s + "reviews/")
                    : void 0 !== s && "" != s && "" == e(this).val()
                    ? (window.location = "/" + s + "reviews/")
                    : (window.location = "/" + e(this).val())
                : "" == e(this).val()
                ? (window.location = "/" + a[2])
                : (window.location = "/" + e(this).val() + "/" + s + i(a[2]) + "/");
        }),
        e(".game-type-selector-form select").change(function () {
            var t = new RegExp("/page/[0-9]+", "g"),
                a = window.location.pathname,
                n = t.exec(a);
            null !== n && (a = a.replace(n, "")), (a = a.split("/"));
            var s = e(".country-selector-form select").val();
            void 0 !== a[2] && "" != a[2] && -1 != o.indexOf(a[1])
                ? "gambling" == e(this).val()
                    ? (window.location = "/" + a[1])
                    : (window.location = "/" + s + "/" + e(this).val() + i(a[1]) + "/")
                : void 0 !== s && "" != s && -1 != o.indexOf(a[2])
                ? (window.location = "/" + s + "/" + e(this).val() + i(a[2]) + "/")
                : -1 != o.indexOf(a[1])
                ? "gambling" == e(this).val()
                    ? (window.location = "/" + e(this).val() + i(a[2]) + "/")
                    : (window.location = "/" + e(this).val() + i(a[1]) + "/")
                : void 0 !== a[2] && "" != a[2]
                ? "gambling" == e(this).val()
                    ? (window.location = "/" + a[2] + "/")
                    : (window.location = "/" + a[1] + "/" + e(this).val() + i(a[2]) + "/")
                : "" != s
                ? "gambling" == e(this).val()
                    ? (window.location = "/" + s)
                    : (window.location = "/" + s + "/" + e(this).val() + "reviews/")
                : (window.location = "/" + e(this).val() + "reviews/");
        }),
        e(".search-handler").click(function () {
            e(this).find("i:first").hasClass("fa-search")
                ? (e(".search-container").removeClass("close").addClass("open"),
                  e(".main-menu-container").addClass("search-open").addClass("search-close"),
                  e(this).find("i:first").removeClass("fa-search").addClass("fa-times-circle"),
                  e(".search-field").focus())
                : (e(".search-container").removeClass("open").addClass("close"),
                  e(".main-menu-container").removeClass("search-open").removeClass("search-close"),
                  e(this).find("i:first").addClass("fa-search").removeClass("fa-times-circle"),
                  e(".search-field").blur());
        }),
        e("#international-edition-trigger").click(function (t) {
            t.preventDefault(),
                e(this).hasClass("active")
                    ? (e(".flyout-menu").hide(), e("#searchbar").show(), e(this).removeClass("active"))
                    : (e(".flyout-menu").show(),
                      e("#searchbar").hide(),
                      e(this).addClass("active"),
                      e(document)
                          .off("mouseup")
                          .on("mouseup", function (t) {
                              var a = e(".flyout-menu");
                              a.is(t.target) || 0 !== a.has(t.target).length || (a.hide(), e("#searchbar").show(), e("#international-edition-trigger").removeClass("active"));
                          }));
        }),
        e("#international-edition .flyout-close").click(function (t) {
            t.preventDefault(), e("#international-edition-trigger").trigger("click");
        }),
        Modernizr.svgasimg && e(".ek .global-nav-toolbar .logo-gamingzion").css("background-image", "url(/wp-content/themes/gamingzion/images/GZ_99x138.svg)"),
        e(document)
            .on("mouseenter touchstart", "#closeCompareCart, #compareCart", function () {
                clearTimeout(e("#compareCart").data("timeoutId")), e("#compareCart").removeClass("invisible");
            })
            .on("mouseleave touchend", "#closeCompareCart, #compareCart", function () {
                var t = setTimeout(function () {
                    e("#compareCart").addClass("invisible");
                }, 3e3);
                e("#compareCart").data("timeoutId", t);
            }),
        e(document).on("mouseenter touchstart", "#closeCompareCart", function () {
            e("#compareCart").hasClass("invisible") && e("#compareCart").removeClass("invisible");
        }),
        e(document).on("click", "#compareCart .close-compare", function (t) {
            t.preventDefault(),
                e.get(siteUrl + "remove-all-compare/", { _: e.now() }, function (t) {
                    (hideLoader = !1),
                        e("#compareCart .item").remove(),
                        e("#closeCompareCart .num .current").text("0"),
                        e("#compareCart, #closeCompareCart").hide(),
                        e("input[name='compare']:checked").prop("checked", !1),
                        e("#wpfront-scroll-top-container").css("bottom", "1rem"),
                        e("#compareCart .clearfix").empty(),
                        e("#compareCart").addClass("invisible");
                });
        }),
        e(document).on("click", "#compareCart .remove-container", function (t) {
            t.preventDefault(),
                e.get(siteUrl + "remove-all-compare/", { _: e.now() }, function (t) {
                    (hideLoader = !1),
                        e("#compareCart .item").remove(),
                        e("#closeCompareCart .num .current").text("0"),
                        e("#compareCart, #closeCompareCart").hide(),
                        e("input[name='compare']:checked").prop("checked", !1),
                        e("#wpfront-scroll-top-container").css("bottom", "1rem"),
                        e("#compareCart .clearfix").empty(),
                        e("#compareCart").addClass("invisible");
                });
        }),
        e(document).on("click", "#compareCart .close", function (t) {
            t.preventDefault(),
                s(e(this).closest(".item").data("id")),
                e.get(siteUrl + "remove-compare/" + e(this).closest(".item").data("id") + "/", { _: e.now() }, function (e) {
                    hideLoader = !1;
                });
        }),
        e(document).on("click", ".compareBtn, .rcompareBtn", function (t) {
            t.preventDefault();
            var a = e(this).closest("article").find(".compare-form input");
            a.is(":checked") ? a.prop("checked", !1) : a.prop("checked", !0), a.trigger("change");
        }),
        e(document).on("change", ".compare-form input", function (t) {
            hideLoader = !0;
            var a = e(this);
            if (e(this).is(":checked")) {
                if (e(this).closest(".bestListing").length)
                    var o = e(this).closest(".listing-item-thumbnail").find(".bestMeta > a img").attr("src"),
                        i = e(this).closest(".listing-item-thumbnail").find(".bestMeta > a img").attr("alt");
                else {
                    (o = e(this).closest(".has-post-thumbnail").find(".featured > .img-holder img").attr("src")) &&
                        (o = (o = (o = (o = (o = (o = o.replace('url("', "")).replace('")', "")).replace("url('", "")).replace("')", "")).replace("url(", "")).replace(")", ""));
                    i = e(this).closest(".has-post-thumbnail").find(".featured > .img-holder").data("title");
                }
                n(a.val(), o, i),
                    e.get(siteUrl + "add-compare/" + e(this).val() + "/", { _: e.now() }, function (e) {
                        hideLoader = !1;
                    });
            } else
                s(a.val()),
                    e.get(siteUrl + "remove-compare/" + e(this).val() + "/", { _: e.now() }, function (e) {
                        hideLoader = !1;
                    });
        }),
        e(document).on("click", ".compare-these .item-content", function (t) {
            n(e("#page > article.hentry").data("id"), e("#page > article.hentry .article-featured-image img").attr("src"), e("#page > article.hentry h1.single-post-title .post-title").text());
            var a = e(this);
            e.get(siteUrl + "add-compare/" + e("#page > article.hentry").data("id") + "/", { _: e.now() }, function (t) {
                (hideLoader = !1), a.find("input").prop("checked", !0);
                var o = a.closest("article").find(".img-cont");
                if (o.length) {
                    var i = o.css("background-image");
                    i && (i = (i = i.replace('url("', "")).replace('")', ""));
                } else i = "";
                var s = a.find(".compare-form").find("input").val();
                n(s, i, a.find("strong").text()),
                    e.get(siteUrl + "add-compare/" + s + "/", { _: e.now() }, function (e) {
                        hideLoader = !1;
                    });
            });
        }),
        e(document).on("click", "a.compare", function (t) {
            hideLoader = !0;
            var a = e(this);
            if ((t.preventDefault(), !e(this).closest(".compare-form").find("input").is(":checked") && !a.data("preventajax"))) {
                if ((e(this).closest(".compare-form").find("input").prop("checked", !0), (o = e(this).closest(".listing-item-thumbnail").find(".featured > a")).length))
                    (i = e(this).closest(".listing-item-thumbnail").find(".featured > a").attr("title")), (s = e(this).closest(".compare-form").find("input").val());
                else
                    var o = e(this).closest("article").find(".img-cont"),
                        i = e(this).closest("article").find("strong").text(),
                        s = e(this).closest("article").find("input").val();
                if (o.length) {
                    var r = o.css("background-image");
                    r && (r = (r = r.replace('url("', "")).replace('")', ""));
                } else r = "";
                n(s, r, i),
                    e.get(siteUrl + "add-compare/" + e(this).closest(".compare-form").find("input").val() + "/", { _: e.now() }, function (t) {
                        e.get(siteUrl + "is-comperable/", { _: e.now() }, function (e) {
                            e.success ? (a.data("preventajax", 1), (window.location = a.attr("href"))) : alert("There is only one item selected to be compared. Select one more.");
                        }),
                            (hideLoader = !1);
                    });
            }
        }),
        e(document).on("click", "#closeCompareCart", function (t) {
            var a = e(this);
            t.preventDefault(),
                e.get(siteUrl + "is-comperable/", { _: e.now() }, function (e) {
                    e.success ? (window.location = a.attr("href")) : alert("There is only one item selected to be compared. Select one more."), (hideLoader = !1);
                });
        }),
        e(window).scroll(function () {
            e(this).scrollTop() > 100 && e(".search-form .close-global-search").is(":visible") && (e(".search-form .close-global-search").trigger("click"), e(".autocomplete-suggestions").hide()),
                e(this).scrollTop() > 0 && e("#international-edition-trigger").hasClass("active") && e("#international-edition-trigger").trigger("click");
        }),
        e("#img-switcher img.hover").click(function (t) {
            t.preventDefault(), e(".article-featured-image img").attr("srcset", "").attr("src", e(this).data("large"));
        }),
        e(document).on("click", "#advanced-search-top .all-filters-toggle", function () {
            e("#advanced-search-container").hasClass("is-expanded")
                ? e("#advanced-search-bottom").slideUp(200, function () {
                      e("#advanced-search-container").removeClass("is-expanded");
                  })
                : (e("#advanced-search-container").addClass("is-expanded"), e("#advanced-search-bottom").slideDown(200, function () {}));
        }),
        e('[data-toggle="tooltip"]').tooltip(),
        e("#searchbar .search-group").click(function (t) {
            t.preventDefault(),
                e(".flyout-menu").hide(),
                e("#searchbar").addClass("opened"),
                e("#international-edition-trigger").removeClass("active"),
                e("#global-search").addClass("active"),
                e("#global-search .col-xs-12").removeClass("col-xs-12").addClass("col-xs-9"),
                e("#global-search .search-options").show(),
                e("#global-search-field").val(""),
                e("#search-text").hide(),
                e("#global-search-field").focus();
        }),
        e("#global-search-field").keydown(function (t) {
            13 == t.keyCode ? (t.preventDefault(), e(this).closest(".search-form").trigger("submit")) : 0 == e(this).val().length && 8 != t.keyCode && 46 != t.keyCode && e("#search-text").hide();
        }),
        e("#global-search-field").keyup(function (t) {
            t.preventDefault(), "" == e(this).val() ? e("#search-text").show() : e("#search-text").hide();
        }),
        e(document).on("click", ".attention_close_butt", function (t) {
            t.preventDefault(), setCookie("country_bar_shown", 0), e("#country-bar").hide();
        }),
        r(),
        e(".clear-global-search-button").click(function (t) {
            t.preventDefault(), e("#global-search-field").val("").focus();
        }),
        e(".commit-global-search-button").click(function (t) {
            e(this).closest(".search-form").trigger("submit");
        }),
        e(".close-global-search").click(function (t) {
            t.preventDefault(),
                e("#global-search .search-options").hide(),
                e("#global-search .col-xs-9").removeClass("col-xs-9").addClass("col-xs-12"),
                e("#global-search").removeClass("active"),
                e("#global-search-field").val(""),
                e("#global-search-field").trigger("blur");
        }),
        e(".region-map-list .country_selector_continent").click(function (t) {
            t.preventDefault(),
                e(".region-map-list li.active").removeClass("active"),
                e(this).closest("li").addClass("active"),
                e(".select-country .country-selects select").hide(),
                e(".select-country .country-selects select#continent_" + e(this).data("continent")).show();
        }),
        e("#commit-page-selector-button").click(function (t) {
            t.preventDefault();
            var a = e(".select-country .country-selects select:visible option:selected").data("path"),
                o = e(".select-country .country-selects select:visible").val(),
                i = e("#country_gametype").val(),
                n = e("#country_actiontype").val();
            "" == n && (n = "sites");
            var s = "";
            (s =
                a && "/" !== a
                    ? "www.megajackpots.ru" == siteDomain
                        ? "russian-federation" == o
                            ? "https://www.megajackpots.ru/" + i + "/" + i + "-" + n + "/"
                            : "https://www.gamingzion.com" + a + i + "/" + i + "-" + n + "/"
                        : a + i + "/" + i + "-" + n + "/"
                    : "www.megajackpots.ru" == siteDomain
                    ? "russian-federation" == o
                        ? "https://www.megajackpots.ru/" + i + "/" + i + "-" + n + "/"
                        : "https://www.gamingzion.com" + siteRootPath + o + "/" + i + "/" + i + "-" + n + "/"
                    : siteRootPath + o + "/" + i + "/" + i + "-" + n + "/"),
                (window.location = s);
        }),
        e(document).on("click", ".filters-applied li", function () {
            var t = e(this).data("value").split("|");
            e("#advanced-search-bottom input[name='" + t[0] + "'][value='" + t[1] + "']:checked").prop("checked", !1),
                e("#advanced-search-bottom input[name='" + t[0] + "'][value='" + t[1] + "']:first").trigger("change"),
                "bitcoin" == t[1] && (e("#advanced-search-bottom input[name='currency[]'][value='btc']:checked").prop("checked", !1), e("#advanced-search-bottom input[name='currency[]'][value='btc']:first").trigger("change")),
                c(),
                l();
        }),
        e(document).on("click", "#clear-all-filters", function (t) {
            for (t.preventDefault(); e(".filters-applied li").length; ) e(".filters-applied li").trigger("click");
            c(), l(), e(".filters-applied").hide();
        }),
        e(document).on("change", "#advanced-search-top .sort-by", function (t) {
            "" != e(this).val() && e("#advanced-search-bottom .sort-filters input[name='orderby'][value=" + e(this).val() + "]").trigger("click");
        }),
        e(document).on("click", ".sortingWrapper a", function (t) {
            t.preventDefault(), e("#advanced-search-top .sort-by").val(e(this).data("value")).trigger("change");
        }),
        e("#main-navigation > li > a").click(function (t) {
            e(this).trigger("mouseenter");
        }),
        e(document).on("click", "#resp-navigation li.menu-item.menu-item-has-children > a", function (t) {
            t.preventDefault(), e(this).trigger("mouseenter"), e(this).closest("li").find(".children-button").trigger("click");
        }),
        e(document).on("click", ".pagination:not(.no-ajax) .page-numbers", function (t) {
            if (e("#advanced-search-container").length > 0) {
                t.preventDefault();
                var a = e(this).attr("href");
                a = void 0 !== a && !1 !== a && (a = a.replace(/\/$/, "")) && a.match(/\d+$/) ? a.match(/\d+$/)[0] : 1;
                var o = parseInt(a);
                o || (o = 1), l(e(this).attr("href"), o);
            }
        }),
        e(document).on("click", ".bonus-type-list a", function (t) {
            t.preventDefault();
            var a = e(this).data("value");
            e("#advanced-search-bottom input[name='bonus_type[]']").prop("checked", !1),
                e("#advanced-search-bottom input[name='bonus_type[]']")
                    .filter(function () {
                        return this.value == a;
                    })
                    .prop("checked", !0),
                l();
        }),
        e(document).on("click", "#advanced-search-top .links a", function (t) {
            t.preventDefault();
            var a = e(this),
                o = a.data("filter");
            switch ((e("#advanced-search-top .links a").not(a).removeClass("active"), e(this).addClass("active"), e("#advanced-search-top input[name='filter']").val(""), o)) {
                case "gambling":
                    e("#advanced-search-bottom input[name='game_type[]']").prop("checked", !1),
                        e("#advanced-search-bottom input[name='game_type[]']")
                            .filter(function () {
                                return "gambling" == this.value;
                            })
                            .prop("checked", e(this).hasClass("active")),
                        l();
                    break;
                case "casino":
                    e("#advanced-search-bottom input[name='game_type[]']").prop("checked", !1),
                        e("#advanced-search-bottom input[name='game_type[]']")
                            .filter(function () {
                                return "casino" == this.value;
                            })
                            .prop("checked", e(this).hasClass("active")),
                        l();
                    break;
                case "poker":
                    e("#advanced-search-bottom input[name='game_type[]']").prop("checked", !1),
                        e("#advanced-search-bottom input[name='game_type[]']")
                            .filter(function () {
                                return "poker" == this.value;
                            })
                            .prop("checked", e(this).hasClass("active")),
                        l();
                    break;
                case "sportsbook":
                    e("#advanced-search-bottom input[name='game_type[]']").prop("checked", !1),
                        e("#advanced-search-bottom input[name='game_type[]']")
                            .filter(function () {
                                return "sportsbook" == this.value;
                            })
                            .prop("checked", e(this).hasClass("active")),
                        l();
                    break;
                case "bingo":
                    e("#advanced-search-bottom input[name='game_type[]']").prop("checked", !1),
                        e("#advanced-search-bottom input[name='game_type[]']")
                            .filter(function () {
                                return "bingo" == this.value;
                            })
                            .prop("checked", e(this).hasClass("active")),
                        l();
                    break;
                case "dfs":
                    e("#advanced-search-bottom input[name='game_type[]']").prop("checked", !1),
                        e("#advanced-search-bottom input[name='game_type[]']")
                            .filter(function () {
                                return "dfs" == this.value;
                            })
                            .prop("checked", e(this).hasClass("active")),
                        l();
                    break;
                case "lotto":
                    e("#advanced-search-bottom input[name='game_type[]']").prop("checked", !1),
                        e("#advanced-search-bottom input[name='game_type[]']")
                            .filter(function () {
                                return "lotto" == this.value;
                            })
                            .prop("checked", e(this).hasClass("active")),
                        l();
            }
        }),
        e(".news-sections a").on("click", function (t) {
            t.preventDefault();
            var a = e(this).attr("href"),
                o = e(this).text(),
                i = e(this);
            e(".news-box-container").load(a + " #primary", function () {
                (document.title = o),
                    e(".bs-pagination-wrapper").append('<div id="pageload" title="' + loadingMore + '"><div class="lds-ellipsis"><div></div><div></div><div></div><div></div></div></div><div id="nomore">' + loadingNoMore + "</div>"),
                    e("#current-news-cat").text(o),
                    e(".news-sections .active").removeClass("active"),
                    i.closest("li").addClass("active"),
                    r(),
                    history.pushState({ loadUrl: a + " #primary", loadTarget: "#primary", pageTitle: o, updateCategoryUrl: i.attr("href") }, o, a);
            });
        }),
        e(document).on("click", "#advanced-search-top button:not(:last-child):not(:first-child):not(.all-filters-toggle):not(.online-gambling-directory-toggle)", function () {
            e(this);
            var t = e(this).data("filter");
            switch ((e(this).hasClass("active") ? (e(this).removeClass("active"), e("#advanced-search-top input[name='filter']").val("")) : (e(this).addClass("active"), e("#advanced-search-top input[name='filter']").val("")), t)) {
                case "newest":
                    e("#advanced-search-bottom input[name='feature[]']")
                        .filter(function () {
                            return "new" == this.value;
                        })
                        .prop("checked", e(this).hasClass("active")),
                        e(this).hasClass("active")
                            ? (e("#advanced-search-bottom select[name='order']").val("DESC"),
                              e("#advanced-search-bottom input[name='orderby']")
                                  .filter(function () {
                                      return "date" == this.value;
                                  })
                                  .closest("label")
                                  .trigger("click"))
                            : (e("#advanced-search-bottom select[name='order']").val("DESC"),
                              e("#advanced-search-bottom input[name='orderby']")
                                  .filter(function () {
                                      return "rating" == this.value;
                                  })
                                  .closest("label")
                                  .trigger("click"));
                    break;
                case "hot":
                    e("#advanced-search-bottom input[name='feature[]']")
                        .filter(function () {
                            return "hot" == this.value;
                        })
                        .prop("checked", e(this).hasClass("active")),
                        l();
                    break;
                case "first-deposit":
                    e("#advanced-search-bottom input[name='feature[]']")
                        .filter(function () {
                            return "first-deposit" == this.value;
                        })
                        .prop("checked", e(this).hasClass("active")),
                        l();
                    break;
                case "exclusive":
                    e("#advanced-search-bottom input[name='feature[]']")
                        .filter(function () {
                            return "exclusive" == this.value;
                        })
                        .prop("checked", e(this).hasClass("active")),
                        l();
                    break;
                case "live":
                    e("#advanced-search-bottom input[name='feature[]']")
                        .filter(function () {
                            return "live-dealer" == this.value;
                        })
                        .prop("checked", e(this).hasClass("active")),
                        l();
                    break;
                case "free-spins":
                    e("#advanced-search-bottom input[name='feature[]']")
                        .filter(function () {
                            return "free-spins" == this.value;
                        })
                        .prop("checked", e(this).hasClass("active")),
                        l();
                    break;
                case "bitcoin":
                    e("#advanced-search-bottom input[name='payment[]']")
                        .filter(function () {
                            return "bitcoin" == this.value;
                        })
                        .prop("checked", e(this).hasClass("active")),
                        e("#advanced-search-bottom input[name='currency[]']")
                            .filter(function () {
                                return "btc" == this.value;
                            })
                            .prop("checked", e(this).hasClass("active")),
                        l();
            }
            var a = window.location.href;
            l((a = (a = (a = a.replace("https://www.gamingzion.com", "")).replace("https://www.gamingzion.com", "")).replace(/\/page\/\d+/gi, "/")));
        }),
        e("#advanced-search-bottom").on("change", "input[type='checkbox']", function () {
            switch (e(this).val()) {
                case "free-spins":
                    e(this).prop("checked") ? e("#advanced-search-top button[data-filter='free-spins']").addClass("active") : e("#advanced-search-top button[data-filter='free-spins']").removeClass("active");
                    break;
                case "bitcoin":
                    e(this).prop("checked")
                        ? (e("#advanced-search-top button[data-filter='bitcoin']").addClass("active"),
                          e("#advanced-search-bottom .currency-filters input:checkbox")
                              .filter(function () {
                                  return "btc" == this.value;
                              })
                              .prop("checked", !0))
                        : (e("#advanced-search-top button[data-filter='bitcoin']").removeClass("active"),
                          e("#advanced-search-bottom .currency-filters input:checkbox")
                              .filter(function () {
                                  return "btc" == this.value;
                              })
                              .prop("checked", !0));
                    break;
                case "new":
                    e(this).prop("checked") ? e("#advanced-search-top button[data-filter='newest']").addClass("active") : e("#advanced-search-top button[data-filter='newest']").removeClass("active");
                    break;
                case "btc":
                    e(this).prop("checked")
                        ? (e("#advanced-search-top button[data-filter='bitcoin']").addClass("active"),
                          e("#advanced-search-bottom .payment-filters input:checkbox")
                              .filter(function () {
                                  return "bitcoin" == this.value;
                              })
                              .prop("checked", !0))
                        : (e("#advanced-search-top button[data-filter='bitcoin']").removeClass("active"),
                          e("#advanced-search-bottom .payment-filters input:checkbox")
                              .filter(function () {
                                  return "bitcoin" == this.value;
                              })
                              .prop("checked", !1));
                    break;
                case "hot":
                    e(this).prop("checked") ? e("#advanced-search-top button[data-filter='hot']").addClass("active") : e("#advanced-search-top button[data-filter='hot']").removeClass("active");
                    break;
                case "first-deposit":
                    e(this).prop("checked") ? e("#advanced-search-top button[data-filter='first-deposit']").addClass("active") : e("#advanced-search-top button[data-filter='first-deposit']").removeClass("active");
                    break;
                case "live-dealer":
                    e(this).prop("checked") ? e("#advanced-search-top button[data-filter='live']").addClass("active") : e("#advanced-search-top button[data-filter='live']").removeClass("active");
                    break;
                case "exclusive":
                    e(this).prop("checked") ? e("#advanced-search-top button[data-filter='exclusive']").addClass("active") : e("#advanced-search-top button[data-filter='exclusive']").removeClass("active");
            }
        }),
        e(document).on("click", "#advanced-search-game-types .btn-group button", function () {
            e(this);
            var t = e(this).data("gt");
            e(this).hasClass("active")
                ? (e("#advanced-search-game-types button").removeClass("active"),
                  e("#advanced-search-game-types input[name='gametype']").val(""),
                  e("#advanced-search-game-types button[data-gt='gambling']").addClass("active"),
                  (t = "gambling"))
                : (e("#advanced-search-game-types button").removeClass("active"), e(this).addClass("active"), e("#advanced-search-game-types input[name='gametype']").val(t));
            var a = window.location.href;
            a = (a = (a = (a = a.replace("https://www.gamingzion.com", "")).replace("https://www.gamingzion.com", "")).replace(/\/page\/\d+/gi, "/")).replace(/gambling|casino|poker|sportsbook|bingo|lotto|dfs/gi, t);
            var o = document.title;
            (o = o.replace(/gambling|casino|poker|sportsbook|bingo|lotto|dfs/gi, capitalizeFirstLetter(t))), (document.title = o), l(a);
        }),
        e("ul.main input:checkbox").change(function () {
            var t = e(this);
            e(this)
                .closest(".filter-set")
                .find(".more input:checkbox")
                .filter(function () {
                    return this.value == t.val();
                })
                .prop("checked", e(this).prop("checked"));
        }),
        e(".more-link").click(function () {
            var t = e(this);
            0 == e("#gzModal").length
                ? e.getJSON(siteUrl + "api/getSearchModal/", function (a) {
                      e("body").append(a.content), d(t);
                  })
                : d(t);
        }),
        e(".custom-select").each(function () {
            var t = e(this).attr("class"),
                a = (e(this).attr("id"), e(this).attr("name"), '<div class="' + t + '">');
            (a += '<span class="custom-select-trigger">' + e(this).attr("placeholder") + "</span>"),
                (a += '<div class="custom-options">'),
                e(this)
                    .find("option")
                    .each(function () {
                        a += '<span class="custom-option ' + e(this).attr("class") + '" data-value="' + e(this).attr("value") + '">' + e(this).html() + "</span>";
                    }),
                (a += "</div></div>"),
                e(this).wrap('<div class="custom-select-wrapper"></div>'),
                e(this).hide(),
                e(this).after(a);
        }),
        e(".custom-option:first-of-type").hover(
            function () {
                e(this).parents(".custom-options").addClass("option-hover");
            },
            function () {
                e(this).parents(".custom-options").removeClass("option-hover");
            }
        ),
        e(".custom-select-trigger").on("click", function (t) {
            e("html").one("click", function () {
                e(".custom-select").removeClass("opened");
            }),
                e(this).parents(".custom-select").toggleClass("opened"),
                t.stopPropagation();
        }),
        e(".custom-option").on("click", function () {
            e(this).parents(".custom-select-wrapper").find("select").val(e(this).data("value")).trigger("change"),
                e(this).parents(".custom-options").find(".custom-option").removeClass("selection"),
                e(this).addClass("selection"),
                e(this).parents(".custom-select").removeClass("opened"),
                e(this).parents(".custom-select").find(".custom-select-trigger").text(e(this).text());
        }),
        e("select.gametype-selector").change(function (t) {
            var a = e(this).closest("td").find("select.site-selector");
            a.hide().html('<option value="">Choose a site</option>').prop("disabled", !0).show(),
                e.get(siteUrl + "posts/sites/" + e(this).val() + "/", { _: e.now() }, function (t) {
                    a.html("").prop("disabled", !1).show(),
                        e.each(t, function (t, o) {
                            a.append(e("<option></option>").attr("value", o.id).text(o.title));
                        });
                });
        }),
        e("select.site-selector").change(function (t) {
            e("#busy").show(), (window.location = siteUrl + "compare/?ids=" + e("#compareForm .ids").val() + "," + e(this).val());
        }),
        e(".more-information-toggle").click(function (t) {
            t.preventDefault();
            var a = 0;
            e(window).width() > 685 && (a = 50), e("body,html").animate({ scrollTop: e("#more-information-block").offset().top - a }, 700);
        }),
        e(".online-gambling-directory-toggle").click(function (t) {
            t.preventDefault(),
                e("#more-directory").is(":visible")
                    ? (e(this).removeClass("active"),
                      e("#more-directory .fa-times-circle").hide(),
                      e("#country-data-top").slideDown(200, function () {
                          e("#country-data-top").show();
                      }),
                      e("#more-directory").slideUp(200, function () {
                          e("#more-directory").hide();
                      }))
                    : (e(this).addClass("active"),
                      e("#more-directory .fa-times-circle").hide(),
                      e("#country-data-top").slideUp(200, function () {
                          e("#country-data-top").hide();
                      }),
                      e("#more-directory").slideDown(200, function () {
                          e("#more-directory").show(), e("#more-directory .fa-times-circle").fadeIn("slow");
                      }));
        }),
        e(document).on("click", "#more-directory .fa-times-circle", function (t) {
            t.preventDefault(), e(".online-gambling-directory-toggle").trigger("click");
        }),
        e(document).on("click", "#more-information .fa-times-circle", function (t) {
            t.preventDefault(), e(".online-gambling-directory-toggle").trigger("click");
        }),
        e(document).on("click", "#gzModal .btn-primary", function () {
            e("#gzModal")
                .find("input")
                .each(function () {
                    var t = e(this);
                    e("#advanced-search-bottom input")
                        .filter(function () {
                            return this.value == t.val();
                        })
                        .prop("checked", t.is(":checked"))
                        .trigger("change");
                }),
                c(),
                l(),
                e("#gzModal").modal("hide");
        }),
        e(".review-box.foldable").on("click", function (t) {
            if (t.target === t.currentTarget) {
                var a = e(this);
                a.hasClass("active")
                    ? a.find(".review-box-inner").slideUp(function () {
                          a.removeClass("active");
                      })
                    : a.find(".review-box-inner").slideDown(function () {
                          a.addClass("active");
                      });
            }
        }),
        e(".review-box.foldable .review-box-header").on("click", function (t) {
            e(this).closest(".review-box").trigger("click");
        }),
        e(document).on("change", "#ajax-filter-form select:not(.stub-country), #ajax-filter-form input[type='radio'], #ajax-filter-form ul.main input[type='checkbox']", function () {
            c(), l();
        }),
        e(document).on("change", "#ajax-filter-form select.stub-country", function () {
            if ((c(), void 0 === t)) var t = window.location.href;
            (t = (t = (t = (t = (t = (t = (t = t.replace(/\/$/, "")).replace("https://dev.gamingzion.com", "")).replace("https://dev.gamingzion.com", "")).replace("https://test.gamingzion.com", "")).replace(
                "https://test.gamingzion.com",
                ""
            )).replace("https://www.gamingzion.com", "")).replace("https://www.gamingzion.com", "")),
                (index = t.indexOf("#")),
                index > 0 && (t = t.substring(0, index));
            var a = (t = t.replace(/\/page\/\d+/gi, ""));
            t == siteRootPath && (t = siteRootPath + "gambling/gambling-reviews/");
            var o = e("#stubgame_type_0").val();
            o && (p("div.custom-select.stubgame_type", o[0]), e("#country_gametype").val(o[0])), e(".tooltip").remove(), e("#advanced-search-topmost #country_0").val(e(this).val());
            var i = e(this).val();
            void 0 === i && (i = "");
            var n = (a = a.replace(siteRootPath, "/")).split("/");
            "" == n[n.length - 1] && n.pop(),
                4 == n.length
                    ? (a = "" == i || "/" != siteRootPath ? "/" + n[2] + "/" + n[3] + "/" : "/" + i + "/" + n[2] + "/" + n[3] + "/")
                    : 3 == n.length && (a = "" == i || "/" != siteRootPath ? "/" + n[2] + "/" + n[3] + "/" : "/" + i + "/" + n[1] + "/" + n[2] + "/");
            var s = window.location.hash;
            1 == s.length && (s = ""), (window.location = a);
        }),
        e(document).on("change", "#ajax-filter-form ul.more input[type='checkbox']", function () {
            c();
        }),
        e("a").each(function () {
            new RegExp("/" + window.location.host + "/").test(this.href) ||
                "javascript:;" == this.href ||
                "#" == this.href ||
                e(this).click(function (e) {
                    e.preventDefault(), e.stopPropagation(), window.open(this.href, "_blank");
                });
        });
    var m = location.hash.substr(1);
    0 === m.indexOf("!filter|") && ((m = m.replace("!filter|", "")), e("form#ajax-filter-form").deserialize(m, {}), c(), l());
    try {
        e("#global-search-field, .search-field").autoComplete({
            minChars: 1,
            cache: 0,
            source: function (t, a) {
                autocompleteXhr && 4 != autocompleteXhr.readyState && autocompleteXhr.abort(),
                    (autocompleteXhr = e.ajax({
                        type: "POST",
                        dataType: "json",
                        url: siteUrl + "wp-admin/admin-ajax.php",
                        data: "action=get_listing_names&name=" + t,
                        success: function (e) {
                            a(e);
                        },
                    }));
            },
            renderItem: function (e, t) {
                var a = "";
                (void 0 !== previousPostType && "" != previousPostType && previousPostType == e[2]) || (a = " autocomplete-group " + (previousPostType = e[2])), (t = t.replace(/[-\/\\^$*+?.()|[\]{}]/g, "\\$&"));
                var o = new RegExp("(" + t.split(" ").join("|") + ")", "gi");
                return '<div class="autocomplete-suggestion' + a + '" title="' + e[0] + '" data-val="' + e[0] + '" data-permalink="' + e[3] + '"><div><img src="' + e[1] + '" alt=""> ' + e[0].replace(o, "<b>$1</b>") + "</div></div>";
            },
            onSelect: function (t, a, o) {
                "" == o.data("permalink") ? (e(".commit-global-search-button").trigger("click"), e("#busy").show()) : ((window.location = siteRootPath + o.data("permalink")), e("#busy").show());
            },
        });
    } catch (e) {
        console.log(e);
    }
    function h(t) {
        var a = t.closest("article");
        e("#gzShareModal img").attr("src", a.find(".featured a").data("img")),
            e("#gzShareModal .t").text(a.find(".featured a").attr("title")),
            e("#gzShareModal .mu").text("gamingzion.com"),
            e("#gzShareModal .mt").text(a.find("time").text()),
            e("#gzShareModal .ah").val(a.find(".featured a").attr("href")),
            e("#gzShareModal .a").text(a.find(".featured a").attr("href")).attr("href", a.find(".featured a").attr("href")),
            e.each(e("#gzShareModal .socialbox a"), function () {
                e(this).attr("href", e(this).data("url") + encodeURI(a.find(".featured a").attr("href")));
            }),
            ($modal = e("#gzShareModal")),
            (modalObj = $modal.modal());
    }
    function u() {
        if (e("span.index").length && (e(".page-numbers.current").length || e("#main .bs-listing").length)) {
            if (e(".page-numbers.current").length) var t = parseInt(e(".page-numbers.current").text());
            else t = 1;
            e.each(e("span.index"), function (a) {
                e(this).text(a + 1 + 20 * (t - 1) + ".");
            });
        }
    }
    e(document).on("click", ".share-handler", function (t) {
        var a = e(this);
        0 == e("#gzShareModal").length
            ? e.getJSON(siteUrl + "api/getShareModal/", function (t) {
                  e("body").append(t.content), h(a);
              })
            : h(a);
    }),
        e(document).on("click", "a:not(#gbcs):not(.ext):not(.more-link):not([href*=\\#]):not([target]):not([data-url]):not(.page-numbers):not(.attention_close_butt)", function (t) {
            e("#progress-bar").addClass("progress-animation").show();
        }),
        e("#gzShareModal").on("click", ".a", function (t) {
            e("#gzShareModal").modal("hide");
        }),
        e(document).on("click", "#gzShareModal .btn", function (t) {
            t.preventDefault();
            var a = document.createElement("textarea");
            (a.textContent = e("#gzShareModal input.ah").val()), document.body.appendChild(a);
            var o = document.getSelection(),
                i = document.createRange();
            i.selectNode(a), o.removeAllRanges(), o.addRange(i), o.removeAllRanges(), document.body.removeChild(a), e("#busy").hide(), e("#gzShareModal").modal("hide");
        }),
        e(".copy-link").tooltip({ trigger: "click", placement: "bottom", delay: { show: 1e3, hide: 0 } }),
        e(document).on("click", ".copy-link", function (t) {
            t.preventDefault();
            var a,
                o,
                i = e(this);
            (a = i.attr("href")),
                (o = function (t) {
                    var a, o;
                    e("#busy").hide(),
                        (a = i),
                        (o = i.data("copy-text")),
                        e(a).tooltip("hide").attr("data-original-title", o).tooltip("show"),
                        (function (t) {
                            setTimeout(function () {
                                e(t).tooltip("hide");
                            }, 2e3);
                        })(i);
                }),
                (a = "https://go.gamingzion.com/shorten?url=" + encodeURIComponent(a)),
                e.ajax({
                    url: a,
                    dataType: "json",
                    async: !1,
                    processData: !1,
                    contentType: !1,
                    type: "POST",
                    success: function (e) {
                        let t = document.createElement("textarea");
                        document.body.appendChild(t), o && e.success ? (t.textContent = e.url) : o && (t.textContent = a);
                        var i = document.getSelection(),
                            n = document.createRange();
                        n.selectNode(t), i.removeAllRanges(), i.addRange(n), i.removeAllRanges(), t.remove(), o && e.success ? o(e.url) : o && o(a);
                    },
                });
        }),
        0 == e("#compareCart .item").length ? e("#wpfront-scroll-top-container").css("bottom", "1rem") : e("#wpfront-scroll-top-container").css("bottom", "5rem"),
        e("#section-trigger").click(function () {
            var t = e(this).closest(".row");
            t.find("#sectionbar").hasClass("col-md-2")
                ? (t.addClass("tsb"),
                  t.find("#section-trigger").removeClass("active"),
                  t.find("#sectionbar").removeClass("col-md-2").removeClass("col-sm-2").addClass("col-md-1").addClass("col-sm-1"),
                  t.find(".news-box-container").removeClass("col-md-6").removeClass("col-sm-6").addClass("col-md-8").addClass("col-sm-8"),
                  t.find(".news-sections").hide())
                : (t.removeClass("tsb"),
                  t.find("#section-trigger").addClass("active"),
                  t.find("#sectionbar").removeClass("col-md-1").removeClass("col-sm-1").addClass("col-md-2").addClass("col-sm-2"),
                  t.find(".news-box-container").removeClass("col-md-8").removeClass("col-sm-8").addClass("col-md-6").addClass("col-sm-6"),
                  t.find(".news-sections").show());
        }),
        e(window).width() > 768 && e("#section-trigger").trigger("click"),
        e(document).on("change", ".country-selects select:visible", function (t) {
            var a = e(this).find("option:selected").data("path");
            a.length > 1 && "/hu-hu/" !== a && "/pt-pt/" !== a
                ? (e(
                      "#country_actiontype option[value='bonuses'],#country_actiontype option[value='news'],#country_actiontype option[value='laws'],#country_actiontype option[value='promotions'],#country_actiontype option[value='reviews']"
                  ).hide(),
                  e("#country_actiontype").val(""))
                : e(
                      "#country_actiontype option[value='bonuses'],#country_actiontype option[value='news'],#country_actiontype option[value='laws'],#country_actiontype option[value='promotions'],#country_actiontype option[value='reviews']"
                  ).show(),
                a.length > 1 && "/pt-pt/" === a ? (e("#country_gametype option[value='mobile']").hide(), e("#country_gametype").val("gambling")) : e("#country_gametype option[value='mobile']").show();
        }),
        e("#compareCart").length &&
            e(".compare-form").length &&
            e.post(siteUrl + "cart/", function (t) {
                t.ids.length &&
                    (e.each(t.ids, function (t, a) {
                        e("#compare_check_" + a).prop("checked", !0);
                    }),
                    e("#closeCompareCart .num .current").text(t.ids.length),
                    e("#closeCompareCart").show(),
                    e("#wpfront-scroll-top-container").css("bottom", "5rem")),
                    e("#compareCart .compare-cart-content").html(t.html);
            }),
        u(),
        e.getJSON(siteUrl + "api/getIpCountryRegion/", { _: new Date().getTime() }, function (t) {
            if (t.success) {
                var a = getCookie("ageRestrictionModalShown");
                if (
                    (console.log("detected country", isSuperuser, t.code),
                    a ||
                        -1 === t.code.search("ES-") ||
                        a ||
                        e.getJSON(siteUrl + "api/getAgeRestrictionModal/", function (t) {
                            t.success &&
                                (e("body").append(t.content),
                                e("#gzAgeRestrictionModal").modal({ show: !0, keyboard: !1, backdrop: "static" }),
                                e("#gzAgeRestrictionModal .btn-primary").on("click", function (t) {
                                    t.preventDefault(), (a = !0), setCookie("ageRestrictionModalShown", 1, 30), e("#gzAgeRestrictionModal").modal("hide");
                                }),
                                e("#gzAgeRestrictionModal .btn-link").on("click", function (t) {
                                    t.preventDefault(),
                                        e("body").hide(),
                                        history.back(),
                                        setTimeout(function () {
                                            1 == e("#gzAgeRestrictionModal").length && window.close();
                                        }, 2e3);
                                }));
                        }),
                    e("html").addClass("region-" + t.code),
                    e("body").hasClass("single"))
                ) {
                    var o = e("body").attr("class").split(/\s+/),
                        i = 0;
                    e.each(o, function (e, t) {
                        !0 === t.startsWith("postid-") && (i = t.replace("postid-", ""));
                    }),
                        i &&
                            e.getJSON(siteUrl + "api/getPostIsExcluded/", { id: i }).done(function (t) {
                                e("body").addClass(t.classes);
                            });
                }
            }
        }),
        Publisher_Theme.init(),
        setTimeout(function () {
            jQuery("#busy").hide();
        }, 4e3);
})(jQuery),
    jQuery.extend(jQuery.fn, {
        within: function (e) {
            return this.filter(function () {
                return jQuery(this).closest(e).length;
            });
        },
    }),
    jQuery.ajaxSetup({
        beforeSend: function () {
            hideLoader || jQuery("#busy").show();
        },
        complete: function () {
            hideLoader || jQuery("#busy").hide();
        },
        success: function () {},
    });
var newTitle = "";
window.onpopstate = function (e) {
    if (e.state) {
        var t = e.state.pageTitle;
        e.state.loadUrl
            ? jQuery(e.state.loadTarget).load(e.state.loadUrl, function () {
                  if (e.state.updateCategoryUrl) {
                      var t = jQuery(".news-categories a[href='" + e.state.updateCategoryUrl + "']").text();
                      jQuery("#current-news-cat").text(t),
                          jQuery(".news-sections .active").removeClass("active"),
                          jQuery(".news-categories a[href='" + e.state.updateCategoryUrl + "']")
                              .closest("li")
                              .addClass("active");
                  }
                  newTitle = e.state.pageTitle;
              })
            : (jQuery("#main .bs-listing").html(e.state.html), jQuery("#advanced-search-top input[name='gametype']").val(e.state.gameType), (newTitle = e.state.pageTitle)),
            (t =
                -1 != t.indexOf(":") && -1 != t.indexOf("-")
                    ? t.substring(0, t.indexOf(":") - 1) + ": " + newTitle + t.substring(t.indexOf("-") - 1, t.length)
                    : -1 != t.indexOf("-")
                    ? t.substring(0, t.indexOf("-") - 1) + ": " + newTitle + t.substring(t.indexOf("-") - 1, newTitle.length + 2)
                    : newTitle);
    } else jQuery(".news-sections .active").removeClass("active"), jQuery(".news-sections .news-categories:first-child li:first-child").addClass("active");
};

/*This file was exported by "Export WP Page to Static HTML" plugin which created by ReCorp (https://myrecorp.com) */